package com.mortals.xhx.module.realtime.model;

import java.util.List;
import com.mortals.xhx.module.realtime.model.RealtimeDataflowStatEntity;
/**
* 人员流量统计查询对象
*
* @author zxfei
* @date 2023-04-19
*/
public class RealtimeDataflowStatQuery extends RealtimeDataflowStatEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人流总数 */
    private Integer personSumStart;

    /** 结束 人流总数 */
    private Integer personSumEnd;

    /** 增加 人流总数 */
    private Integer personSumIncrement;

    /** 人流总数列表 */
    private List <Integer> personSumList;

    /** 人流总数排除列表 */
    private List <Integer> personSumNotList;

    /** 开始 陌生人数量 */
    private Integer strangerSumStart;

    /** 结束 陌生人数量 */
    private Integer strangerSumEnd;

    /** 增加 陌生人数量 */
    private Integer strangerSumIncrement;

    /** 陌生人数量列表 */
    private List <Integer> strangerSumList;

    /** 陌生人数量排除列表 */
    private List <Integer> strangerSumNotList;

    /** 开始 识别注册群众数量 */
    private Integer recoginzeSumStart;

    /** 结束 识别注册群众数量 */
    private Integer recoginzeSumEnd;

    /** 增加 识别注册群众数量 */
    private Integer recoginzeSumIncrement;

    /** 识别注册群众数量列表 */
    private List <Integer> recoginzeSumList;

    /** 识别注册群众数量排除列表 */
    private List <Integer> recoginzeSumNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 小时 */
    private Integer hourStart;

    /** 结束 小时 */
    private Integer hourEnd;

    /** 增加 小时 */
    private Integer hourIncrement;

    /** 小时列表 */
    private List <Integer> hourList;

    /** 小时排除列表 */
    private List <Integer> hourNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RealtimeDataflowStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RealtimeDataflowStatQuery> andConditionList;

    public RealtimeDataflowStatQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 人流总数
    * @return personSumStart
    */
    public Integer getPersonSumStart(){
        return this.personSumStart;
    }

    /**
    * 设置 开始 人流总数
    * @param personSumStart
    */
    public void setPersonSumStart(Integer personSumStart){
        this.personSumStart = personSumStart;
    }

    /**
    * 获取 结束 人流总数
    * @return $personSumEnd
    */
    public Integer getPersonSumEnd(){
        return this.personSumEnd;
    }

    /**
    * 设置 结束 人流总数
    * @param personSumEnd
    */
    public void setPersonSumEnd(Integer personSumEnd){
        this.personSumEnd = personSumEnd;
    }

    /**
    * 获取 增加 人流总数
    * @return personSumIncrement
    */
    public Integer getPersonSumIncrement(){
        return this.personSumIncrement;
    }

    /**
    * 设置 增加 人流总数
    * @param personSumIncrement
    */
    public void setPersonSumIncrement(Integer personSumIncrement){
        this.personSumIncrement = personSumIncrement;
    }

    /**
    * 获取 人流总数
    * @return personSumList
    */
    public List<Integer> getPersonSumList(){
        return this.personSumList;
    }

    /**
    * 设置 人流总数
    * @param personSumList
    */
    public void setPersonSumList(List<Integer> personSumList){
        this.personSumList = personSumList;
    }

    /**
    * 获取 人流总数
    * @return personSumNotList
    */
    public List<Integer> getPersonSumNotList(){
        return this.personSumNotList;
    }

    /**
    * 设置 人流总数
    * @param personSumNotList
    */
    public void setPersonSumNotList(List<Integer> personSumNotList){
        this.personSumNotList = personSumNotList;
    }


    /**
    * 获取 开始 陌生人数量
    * @return strangerSumStart
    */
    public Integer getStrangerSumStart(){
        return this.strangerSumStart;
    }

    /**
    * 设置 开始 陌生人数量
    * @param strangerSumStart
    */
    public void setStrangerSumStart(Integer strangerSumStart){
        this.strangerSumStart = strangerSumStart;
    }

    /**
    * 获取 结束 陌生人数量
    * @return $strangerSumEnd
    */
    public Integer getStrangerSumEnd(){
        return this.strangerSumEnd;
    }

    /**
    * 设置 结束 陌生人数量
    * @param strangerSumEnd
    */
    public void setStrangerSumEnd(Integer strangerSumEnd){
        this.strangerSumEnd = strangerSumEnd;
    }

    /**
    * 获取 增加 陌生人数量
    * @return strangerSumIncrement
    */
    public Integer getStrangerSumIncrement(){
        return this.strangerSumIncrement;
    }

    /**
    * 设置 增加 陌生人数量
    * @param strangerSumIncrement
    */
    public void setStrangerSumIncrement(Integer strangerSumIncrement){
        this.strangerSumIncrement = strangerSumIncrement;
    }

    /**
    * 获取 陌生人数量
    * @return strangerSumList
    */
    public List<Integer> getStrangerSumList(){
        return this.strangerSumList;
    }

    /**
    * 设置 陌生人数量
    * @param strangerSumList
    */
    public void setStrangerSumList(List<Integer> strangerSumList){
        this.strangerSumList = strangerSumList;
    }

    /**
    * 获取 陌生人数量
    * @return strangerSumNotList
    */
    public List<Integer> getStrangerSumNotList(){
        return this.strangerSumNotList;
    }

    /**
    * 设置 陌生人数量
    * @param strangerSumNotList
    */
    public void setStrangerSumNotList(List<Integer> strangerSumNotList){
        this.strangerSumNotList = strangerSumNotList;
    }


    /**
    * 获取 开始 识别注册群众数量
    * @return recoginzeSumStart
    */
    public Integer getRecoginzeSumStart(){
        return this.recoginzeSumStart;
    }

    /**
    * 设置 开始 识别注册群众数量
    * @param recoginzeSumStart
    */
    public void setRecoginzeSumStart(Integer recoginzeSumStart){
        this.recoginzeSumStart = recoginzeSumStart;
    }

    /**
    * 获取 结束 识别注册群众数量
    * @return $recoginzeSumEnd
    */
    public Integer getRecoginzeSumEnd(){
        return this.recoginzeSumEnd;
    }

    /**
    * 设置 结束 识别注册群众数量
    * @param recoginzeSumEnd
    */
    public void setRecoginzeSumEnd(Integer recoginzeSumEnd){
        this.recoginzeSumEnd = recoginzeSumEnd;
    }

    /**
    * 获取 增加 识别注册群众数量
    * @return recoginzeSumIncrement
    */
    public Integer getRecoginzeSumIncrement(){
        return this.recoginzeSumIncrement;
    }

    /**
    * 设置 增加 识别注册群众数量
    * @param recoginzeSumIncrement
    */
    public void setRecoginzeSumIncrement(Integer recoginzeSumIncrement){
        this.recoginzeSumIncrement = recoginzeSumIncrement;
    }

    /**
    * 获取 识别注册群众数量
    * @return recoginzeSumList
    */
    public List<Integer> getRecoginzeSumList(){
        return this.recoginzeSumList;
    }

    /**
    * 设置 识别注册群众数量
    * @param recoginzeSumList
    */
    public void setRecoginzeSumList(List<Integer> recoginzeSumList){
        this.recoginzeSumList = recoginzeSumList;
    }

    /**
    * 获取 识别注册群众数量
    * @return recoginzeSumNotList
    */
    public List<Integer> getRecoginzeSumNotList(){
        return this.recoginzeSumNotList;
    }

    /**
    * 设置 识别注册群众数量
    * @param recoginzeSumNotList
    */
    public void setRecoginzeSumNotList(List<Integer> recoginzeSumNotList){
        this.recoginzeSumNotList = recoginzeSumNotList;
    }


    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 小时
    * @return hourStart
    */
    public Integer getHourStart(){
        return this.hourStart;
    }

    /**
    * 设置 开始 小时
    * @param hourStart
    */
    public void setHourStart(Integer hourStart){
        this.hourStart = hourStart;
    }

    /**
    * 获取 结束 小时
    * @return $hourEnd
    */
    public Integer getHourEnd(){
        return this.hourEnd;
    }

    /**
    * 设置 结束 小时
    * @param hourEnd
    */
    public void setHourEnd(Integer hourEnd){
        this.hourEnd = hourEnd;
    }

    /**
    * 获取 增加 小时
    * @return hourIncrement
    */
    public Integer getHourIncrement(){
        return this.hourIncrement;
    }

    /**
    * 设置 增加 小时
    * @param hourIncrement
    */
    public void setHourIncrement(Integer hourIncrement){
        this.hourIncrement = hourIncrement;
    }

    /**
    * 获取 小时
    * @return hourList
    */
    public List<Integer> getHourList(){
        return this.hourList;
    }

    /**
    * 设置 小时
    * @param hourList
    */
    public void setHourList(List<Integer> hourList){
        this.hourList = hourList;
    }

    /**
    * 获取 小时
    * @return hourNotList
    */
    public List<Integer> getHourNotList(){
        return this.hourNotList;
    }

    /**
    * 设置 小时
    * @param hourNotList
    */
    public void setHourNotList(List<Integer> hourNotList){
        this.hourNotList = hourNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public RealtimeDataflowStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public RealtimeDataflowStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public RealtimeDataflowStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public RealtimeDataflowStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public RealtimeDataflowStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public RealtimeDataflowStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public RealtimeDataflowStatQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public RealtimeDataflowStatQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public RealtimeDataflowStatQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public RealtimeDataflowStatQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public RealtimeDataflowStatQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public RealtimeDataflowStatQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public RealtimeDataflowStatQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public RealtimeDataflowStatQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  人流总数
    * @param personSum
    */
    public RealtimeDataflowStatQuery personSum(Integer personSum){
	    setPersonSum(personSum);
		return this;
    }
	
	 /**
    * 设置 开始 人流总数
    * @param personSumStart
    */
    public RealtimeDataflowStatQuery personSumStart(Integer personSumStart){
		this.personSumStart = personSumStart;
		return this;
    }

    /**
    * 设置 结束 人流总数
    * @param personSumEnd
    */
    public RealtimeDataflowStatQuery personSumEnd(Integer personSumEnd){
		this.personSumEnd = personSumEnd;
		return this;
    }

    /**
    * 设置 增加 人流总数
    * @param personSumIncrement
    */
    public RealtimeDataflowStatQuery personSumIncrement(Integer personSumIncrement){
		this.personSumIncrement = personSumIncrement;
		return this;
    }

    /**
    * 设置 人流总数
    * @param personSumList
    */
    public RealtimeDataflowStatQuery personSumList(List<Integer> personSumList){
        this.personSumList = personSumList;
		return this;
        }

        /**
        * 设置 人流总数
        * @param personSumNotList
        */
        public RealtimeDataflowStatQuery personSumNotList(List<Integer> personSumNotList){
        this.personSumNotList = personSumNotList;
        return this;
        }

    /**
    * 设置  陌生人数量
    * @param strangerSum
    */
    public RealtimeDataflowStatQuery strangerSum(Integer strangerSum){
	    setStrangerSum(strangerSum);
		return this;
    }
	
	 /**
    * 设置 开始 陌生人数量
    * @param strangerSumStart
    */
    public RealtimeDataflowStatQuery strangerSumStart(Integer strangerSumStart){
		this.strangerSumStart = strangerSumStart;
		return this;
    }

    /**
    * 设置 结束 陌生人数量
    * @param strangerSumEnd
    */
    public RealtimeDataflowStatQuery strangerSumEnd(Integer strangerSumEnd){
		this.strangerSumEnd = strangerSumEnd;
		return this;
    }

    /**
    * 设置 增加 陌生人数量
    * @param strangerSumIncrement
    */
    public RealtimeDataflowStatQuery strangerSumIncrement(Integer strangerSumIncrement){
		this.strangerSumIncrement = strangerSumIncrement;
		return this;
    }

    /**
    * 设置 陌生人数量
    * @param strangerSumList
    */
    public RealtimeDataflowStatQuery strangerSumList(List<Integer> strangerSumList){
        this.strangerSumList = strangerSumList;
		return this;
        }

        /**
        * 设置 陌生人数量
        * @param strangerSumNotList
        */
        public RealtimeDataflowStatQuery strangerSumNotList(List<Integer> strangerSumNotList){
        this.strangerSumNotList = strangerSumNotList;
        return this;
        }

    /**
    * 设置  识别注册群众数量
    * @param recoginzeSum
    */
    public RealtimeDataflowStatQuery recoginzeSum(Integer recoginzeSum){
	    setRecoginzeSum(recoginzeSum);
		return this;
    }
	
	 /**
    * 设置 开始 识别注册群众数量
    * @param recoginzeSumStart
    */
    public RealtimeDataflowStatQuery recoginzeSumStart(Integer recoginzeSumStart){
		this.recoginzeSumStart = recoginzeSumStart;
		return this;
    }

    /**
    * 设置 结束 识别注册群众数量
    * @param recoginzeSumEnd
    */
    public RealtimeDataflowStatQuery recoginzeSumEnd(Integer recoginzeSumEnd){
		this.recoginzeSumEnd = recoginzeSumEnd;
		return this;
    }

    /**
    * 设置 增加 识别注册群众数量
    * @param recoginzeSumIncrement
    */
    public RealtimeDataflowStatQuery recoginzeSumIncrement(Integer recoginzeSumIncrement){
		this.recoginzeSumIncrement = recoginzeSumIncrement;
		return this;
    }

    /**
    * 设置 识别注册群众数量
    * @param recoginzeSumList
    */
    public RealtimeDataflowStatQuery recoginzeSumList(List<Integer> recoginzeSumList){
        this.recoginzeSumList = recoginzeSumList;
		return this;
        }

        /**
        * 设置 识别注册群众数量
        * @param recoginzeSumNotList
        */
        public RealtimeDataflowStatQuery recoginzeSumNotList(List<Integer> recoginzeSumNotList){
        this.recoginzeSumNotList = recoginzeSumNotList;
        return this;
        }

    /**
    * 设置  年
    * @param year
    */
    public RealtimeDataflowStatQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public RealtimeDataflowStatQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public RealtimeDataflowStatQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public RealtimeDataflowStatQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public RealtimeDataflowStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public RealtimeDataflowStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public RealtimeDataflowStatQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public RealtimeDataflowStatQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public RealtimeDataflowStatQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public RealtimeDataflowStatQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public RealtimeDataflowStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public RealtimeDataflowStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public RealtimeDataflowStatQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public RealtimeDataflowStatQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public RealtimeDataflowStatQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public RealtimeDataflowStatQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public RealtimeDataflowStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public RealtimeDataflowStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }

    /**
    * 设置  小时
    * @param hour
    */
    public RealtimeDataflowStatQuery hour(Integer hour){
	    setHour(hour);
		return this;
    }
	
	 /**
    * 设置 开始 小时
    * @param hourStart
    */
    public RealtimeDataflowStatQuery hourStart(Integer hourStart){
		this.hourStart = hourStart;
		return this;
    }

    /**
    * 设置 结束 小时
    * @param hourEnd
    */
    public RealtimeDataflowStatQuery hourEnd(Integer hourEnd){
		this.hourEnd = hourEnd;
		return this;
    }

    /**
    * 设置 增加 小时
    * @param hourIncrement
    */
    public RealtimeDataflowStatQuery hourIncrement(Integer hourIncrement){
		this.hourIncrement = hourIncrement;
		return this;
    }

    /**
    * 设置 小时
    * @param hourList
    */
    public RealtimeDataflowStatQuery hourList(List<Integer> hourList){
        this.hourList = hourList;
		return this;
        }

        /**
        * 设置 小时
        * @param hourNotList
        */
        public RealtimeDataflowStatQuery hourNotList(List<Integer> hourNotList){
        this.hourNotList = hourNotList;
        return this;
        }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public RealtimeDataflowStatQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public RealtimeDataflowStatQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public RealtimeDataflowStatQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public RealtimeDataflowStatQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public RealtimeDataflowStatQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public RealtimeDataflowStatQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public RealtimeDataflowStatQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public RealtimeDataflowStatQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public RealtimeDataflowStatQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public RealtimeDataflowStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public RealtimeDataflowStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public RealtimeDataflowStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RealtimeDataflowStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RealtimeDataflowStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RealtimeDataflowStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RealtimeDataflowStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}